Розпродаж хостинг-планів на неймовірних умовах!
Знижка від 300 до 500грн!
Як «поремонтувати» Javascript після оновлення WP

Оновлений WordPress 3.2.1 використовує jQuery 1.6.1, а через нову версію jQuery деякі плаґіни чи можливості теми не працюють коректно. Суть проблеми полягає у тому, що JavaScript теми і/або плаґінів несумісний із jQuery 1.6.1. Думаю, з часом плаґіни і теми оновляться і ця проблема зникне, але щоб не чекати оновлень — можна вирішити цю проблему несумісності прямо зараз. Потрібно у […]

Докладно...
Оновлюємо версію jQuery

Як відомо у ядрі WP використовується не найновіша версія jQuery, це тому, що jQuery оновлюється частіше, ніж WP, та і при оновленні версії jQuery потрібно переписувати JS-скрипти.

Якщо Ви хочете використовувати найновішу версію jQuery для написання власних скриптів, які використовуватимуться у front-end — то можна легко оновити версію jQuery.

Це можна зробити двома способами: додати код у файл теми або ж написати простий плаґін.

Докладно...